
Foreman - Bug #4354

Can't modify compute resource if the host has been changed

02/16/2014 12:05 AM - Andrew Lau

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If for example the ovirt-engine URL has changed, when the user goes to press "edit" foreman will error with "No route to host -

connect(2)"

I believe it's doing some test to check the connection exists before allowing any modifications. The only work around seems to be

modifying the database directly or putting the ovirt-engine back on the same URL foreman was expecting.

I've had a look at the source, and I believe I know where the culprit lies but I'm not familiar with ruby enough to make the changes.

Related issues:

Is duplicate of Foreman - Bug #3567: Editing an oVirt compute resource can th... Closed 11/04/2013

History

#1 - 02/17/2014 08:46 AM - Dominic Cleal

- Is duplicate of Bug #3567: Editing an oVirt compute resource can throw errors loading quotes while loading page added

#2 - 02/17/2014 08:46 AM - Dominic Cleal

- Status changed from New to Duplicate
